/* Created by Sibin M on Oct 25, 2004.
 * Process of cleaning up the TA for C++
 */ 

#ifndef __INPUT_H__
#define __INPUT_H__

// #include <fstream>
#include <cstdio>

extern void Process_INF_File( struct inf_func_element** inf, string inputfile, 
	 	    	      struct inst_block* inst_set ) ;
extern void Read_In_Time_Structure( FILE * inf_fp, struct inf_func_element* inf ) ;
extern void Read_In_Loop_Structure( FILE * inf_fp, struct inf_func_element* inf ) ;
extern int find_min_initial( struct inf_func_element* inf, struct loop_element* loop ) ;
extern int find_max_initial( struct inf_func_element* inf, struct loop_element* loop ) ;
extern int find_min_limit( struct inf_func_element* inf, struct loop_element* loop ) ;
extern int find_max_limit( struct inf_func_element* inf, struct loop_element* loop ) ;
extern struct loop_element *find_parent_loop( struct inf_func_element* inf, struct loop_element* loop ) ;
extern int int_ceil( int num, int denom ) ;
extern void Read_In_Block_Structure( FILE* inf_fp, struct inf_func_element* inf, int* inst_number, 
			      string token, int* file_status, struct inst_block* inst_set) ;
extern void Read_In_Block_List( FILE* inf_fp, struct block_list ** block_ptr) ;
extern void Read_In_Block_Instruct( FILE* inf_fp, struct instruct** inst_list, 
			     int* inst_number, string token,
                             int* file_status, struct inst_block* inst_set) ;

#endif // __INPUT_H__
