
/************************************************************************/
/*                                                                      */
/* Copyright (c) 1987, 1988, 1989, 1990, 1991, 1992 -                   */
/*     The Rector and Visitors of the University of Virginia            */
/*                                                                      */
/* This code may not be distributed further without permission          */
/*      from the University of Virginia.                                */
/* This code is distributed WITHOUT ANY WARRANTY.  No claims are        */
/*      made as to whether it serves any particular purpose or even     */
/*      works at all.                                                   */
/*                                                                      */
/************************************************************************/
/*old stuff */ 
/*
 * Define constants for instruction base kinds.  Maximum value permited is 1023.
 */



#define INT_CC 37
#define FLOP_CC 38
#define NUMREGS 40

#define INTEGER 0
#define FLOP 1
#define COND_SET 1
#define COND_USED 2
#define CARD_INST_SET 120
#define NUM_STAGES 2
#define NO_STAGE -1
#define NO_INST -1
#define NEVER 0
#define IF 0
#define EX 1
#define NUM_DATASIZES 2
#define SINGLE_SIZE 0
#define DOUBLE_SIZE 1
#define NUM_CASES 2

#define  MAX_INST_LENGTH   10


#define		ADC	1
#define		ADD	2
#define		ADIW	3
#define		AND	4
#define		ANDI	5
#define		ASR	6
#define		BCLR	7
#define		BLD	8
#define		BRBC	9
#define		BRBS	10
#define		BRCC	11
#define		BRCS	12
#define		BREAK	13
#define		BREQ	14
#define		BRGE	15
#define		BRHC	16
#define		BRHS	17
#define		BRID	18
#define		BRIE	19
#define		BRLO	20
#define		BRLT	21
#define		BRMI	22
#define		BRNE	23
#define		BRPL	24
#define		BRSH	25
#define		BRTC	26
#define		BRTS	27
#define		BRVC	28
#define		BRVS	29
#define		BSET	30
#define		BST	31
#define		CALL	32
#define		CBI	33
#define		CBR	34
#define		CLC	35
#define		CLH	36
#define		CLI	37
#define		CLN	38
#define		CLR	39
#define		CLS	40
#define		CLT	41
#define		CLV	42
#define		CLZ	43
#define		COM	44
#define		CP	45
#define		CPC	46
#define		CPI	47
#define		CPSE	48
#define		DEC	49
#define		EICALL	50
#define		EIJMP	51
#define		ELPM	52
#define		EOR	53
#define		FMUL	54
#define		FMULS	55
#define		FMULSU	56
#define		ICALL	57
#define		IJMP	58
#define		IN	59
#define		INC	60
#define		JMP	61
#define		LD	62
#define		LDD	63
#define		LDI	64
#define		LDS	65
#define		LPM	66
#define		LSL	67
#define		LSR	68
#define		MOV	69
#define		MOVW	70
#define		MUL	71
#define		MULS	72
#define		MULSU	73
#define		NEG	74
#define		NOP	75
#define		OR	76
#define		ORI	77
#define		OUT	78
#define		POP	79
#define		PUSH	80
#define		RCALL	81
#define		RET	82
#define		RETI	83
#define		RJMP	84
#define		ROL	85
#define		ROR	86
#define		SBC	87
#define		SBCI	88
#define		SBI	89
#define		SBIC	90
#define		SBIS	91
#define		SBIW	92
#define		SBR	93
#define		SBRC	94
#define		SBRS	95
#define		SEC	96
#define		SEH	97
#define		SEI	98
#define		SEN	99
#define		SER	100
#define		SES	101
#define		SET	102
#define		SEV	103
#define		SEZ	104
#define		SLEEP	105
#define		SPM	106
#define		ST	107
#define		STD	108
#define		STS	109
#define		SUB	110
#define		SUBI	111
#define		SWAP	112
#define		TST	113
#define		WDR	114
