
/************************************************************************/
/*                                                                      */
/* Copyright (c) 1987, 1988, 1989, 1990, 1991, 1992 -                   */
/*     The Rector and Visitors of the University of Virginia            */
/*                                                                      */
/* This code may not be distributed further without permission          */
/*      from the University of Virginia.                                */
/* This code is distributed WITHOUT ANY WARRANTY.  No claims are        */
/*      made as to whether it serves any particular purpose or even     */
/*      works at all.                                                   */
/*                                                                      */
/************************************************************************/
/*old stuff */ 
/*
 * Define constants for instruction base kinds.  Maximum value permited is 1023.
 */



#define INT_CC 64
#define FLOP_CC 65
#define NUMREGS 72

#define INTEGER 0
#define FLOP 1
#define COND_SET 1
#define COND_USED 2
#define CARD_INST_SET 350
#define NUM_STAGES 6
#define NO_STAGE -1
#define NO_INST -1
#define NEVER 0
#define IF 0
#define ID 1
#define IS 2
#define EX 3
#define MEM 4
#define WB 5
#define NUM_DATASIZES 2
#define SINGLE_SIZE 0
#define DOUBLE_SIZE 1
#define NUM_CASES 2

#define  MAX_INST_LENGTH   10






/*New PISA stuff */
#define NOP 100    
#define JUMP 101
#define JAL 102
#define CALL 102
#define JR 110
#define JALR 111
#define BEQ 120
#define BNE 121 
#define BLEZ 130
#define BGTZ 131
#define BLTZ 132
#define BGEZ 133  
#define BC1F 140  
#define BC1T 141  
#define LB 150    
#define LBU 151   
#define LH 152    
#define LHU 153   
#define LW 154    
#define DLW 155   
#define L_S 156   
#define L_D 157   
#define SB 158    
#define SH 159    
#define SW 160    
#define DSW 161   
#define DSZ 162   
#define S_S 163   
#define S_D 164   
/*1048 l.s.r2
  1049 s.s.r2
  1050 lw.r2
  1051 sw.r2*/
#define LWL 170   
#define LWR 171   
#define SWL 180   
#define SWR 181   
#define ADD 190   
#define AND 191   
#define ADDU 192  
#define SUB 193   
#define SUBU 194  
#define OR 195    
#define XOR 196    
#define NOR 197    
#define SLLV 198   
#define SRLV 199   
#define SRAV 200   
#define SLT 201    
#define SLTU 202   
#define ADDI 210   
#define ADDIU 211  
#define ANDI 212   
#define ORI 213    
#define XORI 214   
#define SLTI 215   
#define SLTIU 216  
#define SLL 217    
#define SRL 218    
#define SRA 219    
#define MULT 220   
#define MULTU 221  
#define DIV 222    
#define DIVU 223   
#define MFHI 230   
#define MFLO 231   
#define MTHI 235   
#define MTLO 236   
#define ADD_S 240   
#define ADD_D 241   
#define SUB_S 242   
#define SUB_D 243   
#define MUL_S 244   
#define MUL_D 245   
#define DIV_S 246   
#define DIV_D 247   
#define ABS_S 250   
#define ABS_D 251   
#define MOV_S 252   
#define MOV_D 253   
#define NEG_S 254   
#define NEG_D 255   
#define CVT_S_D 256 
#define CVT_S_W 257 
#define CVT_D_S 258 
#define CVT_D_W 259 
#define CVT_W_S 260 
#define CVT_W_D 261 
#define SQRT_S 262 
#define SQRT_D 263 
#define C_EQ_S 270 
#define C_EQ_D 271 
#define C_LT_S 272 
#define C_LT_D 273 
#define C_LE_S 274 
#define C_LE_D 275 
#define BREAK 280  
#define LUI 281    
#define MFC1 290   
#define DMFC1 291  
#define CFC1 292   
#define MTC1 293   
#define DMTC1 294  
#define CTC1 295   
#define SYSCALL 300
#define MOVE 310  
#define LI 311    

