/* Created by Sibin M on Oct 25, 2004.
 * Process of cleaning up the TA for C++
 */ 

#ifndef __PATH_H__
#define __PATH_H__

extern void Create_Timing_Paths( struct inf_func_element** func ) ;
extern void Create_Loop_Nodes( struct inf_func_element* func ) ;
extern int Find_Max_Loop_Nesting_Level( struct loop_element* loop_list ) ;
extern void Append_Dom_Block( struct loop_path_node* path, struct block_list** succ_list, 
		       	      struct loop_element* func_loop_ptr, struct block_element* func_block_ptr ) ;
extern void Append_Exit_Block( struct loop_path_node* path, struct block_list** succ_list, 
			       struct loop_element* func_loop_ptr ) ;
extern void Append_Succ_Block( struct loop_path_node* path,
			       struct block_list** succ_list,
			       struct loop_node* loop_node_list ) ;
extern void Append_Path_Succ_Block( struct path_element* path,
			     	    struct block_list** succ_list,
			     	    struct loop_node* loop_node_list ) ;
extern struct block_list * Determine_Block_Succ_List( struct block_element* func_block_ptr ) ;
extern struct block_list * Determine_Loop_Exit_Blocks( int block_number, struct inf_func_element* func ) ;
extern bool Loop_Backedge( struct block_list* succ_list, struct block_element* func_block_ptr ) ;
extern bool Loop_Exit_Block( int block_number, struct loop_element* func_loop_ptr ) ;
extern struct block_element * Find_Func_Block_Struct( struct block_element* head_block_ptr, int block_number ) ;
extern struct loop_element * Find_Func_Loop_Struct( int block_number, struct loop_element* loop_struct_ptr ) ;
extern struct loop_block_list * Move_To_Loop_Path_End( struct loop_path_node* path ) ;
extern void Print_Loop_Node( struct loop_node* loop_node_ptr ) ;
	
#endif // __PATH_H__
