/*
*****************************************************************************
*
* 
*   FILE NAME       :   STATS.H
*   PROGRAMMER(S)   :   Robert Arnold
*   DATE CREATED    :   February 17, 1994
*
*   THIS FILE CONTAINS SPECIFIC INFORMATION NEEDED TO READ IN THE STATS FILE
*
******************************************************************************
*/

#define  STATS_FUNC_IDENTIFIER    -1     /* Indicates start of a function */
#define  STATS_INST_IDENTIFIER     0     /* Indicates start of an instruction */

           /* ALL INSTRUCTION CATEGORIES MUST BE CHARACTER CONSTANTS */

#define  Hit_INST_CATEGORY         'h'                  /* Cache Hit */
#define  Miss_INST_CATEGORY        'm'
#define  Firstmiss_INST_CATEGORY   'f'
#define  Firsthit_INST_CATEGORY    'i'                  /* i = Initial Hit */

#define  STATS_FILE_EXT            ".ist"     /* STATS filename extension  */
