%{

#define SYNTAX_ERROR 1;
#include <math.h>
%}

integer_rule "-"?[0-9]+(\.[0-9]+)?
ws [ \t\n]

%%

{integer_rule} {
	answer.push( (double) atof(yytext));
	return INTEGER;
}

{ws} {
	//Nothing.
}

"+" {
	return PLUS;
}

"-" {
	return MINUS;
}

"*" {
	return MULTIPLICATION;
}

"/" {
	return DIVISION;
}

"(" {
	return OPEN_PAREN;
}

")" {
	return CLOSE_PAREN;
}

. {
	return SYNTAX_ERROR;
}
