/************************************************************************/
/*                                                                      */
/* Copyright (C) 1995 by Frank Mueller.                                 */
/* This code was developed at Florida State University.                 */
/* Distributed by the author(s) under the following terms:              */
/*                                                                      */
/* This code may not be distributed further without permission          */
/*      from Frank Mueller of the Humboldt-University zu Berlin,        */
/*      mueller@informatik.hu-berlin.de or (+49) (30) 20181-276.        */
/* This code is distributed "AS IS" WITHOUT ANY WARRANTY; without even  */
/*      even the implied warranty of MERCHANTABILITY OR FITNESS FOR A   */
/*      PARTICULAR PURPOSE.  No claims are made as to whether it serves */
/*      any particular purpose or even works at all.                    */
/*                                                                      */
/************************************************************************/

/*
 * This file is part of the static cache simulator
 *
 *   $Id: vec.h,v 1.1 2004/10/27 06:32:16 smohan Exp $
 */

/*
 * Bit vector data structures, constants, externals
 */

#include "misc.h"
#include "myalloc.h"

#define VALLOC ((vector) MALLOC(veclen << int2char))
#define vinit() ((vector) NULL)
#define vfree(ptr) if (ptr) FREE(ptr)

typedef unsigned int *vector;           /* rtl list type                 */

extern int bitsperint;
extern int intscale;
extern int int2char;
extern int veclen;
